indexing
	description: 
		"Spezielles Element im Entwurfsmuster Kompositum"
		"Die Klasse ist von der Klasse Graphik abgeleitet"

class Linie

inherit 
	Graphik
		rename
			ZeichneDich as SuperZeichneDich
		end

	Graphik
		redefine
			ZeichneDich 
		select 
			ZeichneDich		
		end

creation
	make

feature
	make is
		do
			Name:= "Linie"
			Initialisiere
		end

	-- Geerbte und erweiterte Methode der Klasse Graphik

	ZeichneDich(Hervorgehoben, Markiert: BOOLEAN; dc: WEL_CLIENT_DC) is
		local
			X1,Y1,X2,Y2: INTEGER
			pen: WEL_PEN
			color: WEL_COLOR_REF

		do
			if (Xgespiegelt) then
				X1 := Xru.rounded
				X2 := Xlo.rounded
			else
				X1 := Xlo.rounded
				X2 := Xru.rounded
			end;
			if (Ygespiegelt) then
				Y1 := Yru.rounded
				Y2 := Ylo.rounded
			else
				Y1 := Ylo.rounded
				Y2 := Yru.rounded
			end;
			if Hervorgehoben then
				!! pen.make_solid (2,red)	
			else
				!! pen.make_solid (1,black)
			end
			dc.select_pen(pen)
			dc.line (X1,Y1,X2,Y2)
			pen.delete
			SuperZeichneDich(Hervorgehoben,Markiert,dc)
		end
end